Changeset 854

Show
Ignore:
Timestamp:
05/30/06 12:33:48
Author:
miyagawa
Message:

don't do global override. It breaks Atom creation and Bloglines parser. Refs #265

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • trunk/plagger/lib/Plagger/Plugin/Aggregator/Simple.pm

    r849 r854  
    1414$XML::Feed::RSS::PREFERRED_PARSER = first { $_->require } qw( XML::RSS::Liberal XML::RSS::LibXML XML::RSS ); 
    1515 
    16 eval { require XML::Liberal }; 
    17 if (!$@ && XML::Liberal->can('globally_override')) { 
    18     XML::Liberal->globally_override('LibXML'); 
    19 
     16#eval { require XML::Liberal }; 
     17#if (!$@ && XML::Liberal->can('globally_override')) { 
     18#    XML::Liberal->globally_override('LibXML'); 
     19#
    2020 
    2121sub register {